> For the complete documentation index, see [llms.txt](https://docs.pritunl.com/kb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pritunl.com/kb/zero/general/debugging-zero.md).

# Debugging

Debugging Pritunl Zero

### Internal Service Domain

Some services will expect a specific domain when internal web requests are received. In the example below the Pritunl Zero server is running on `service.pritunl.com` and is routing requests to the internal service on `software.pritunl.com`. Web requests sent to this internal service will have the host header set to `service.pritunl.com`. If the internal service expects the `software.pritunl.com` domain these requests will fail.

![](https://github.com/pritunl/pritunl-docs/blob/master/pritunl-zero/.gitbook/assets/zero_debug0.png)

This can be fixed by setting the *Host* field in the *External Domains*. This will overwrite the host sent to the internal service to match the expected domain.

![](https://github.com/pritunl/pritunl-docs/blob/master/pritunl-zero/.gitbook/assets/zero_debug1.png)

### Debugging Errors

More error information from web requests can be found by by clicking *Developer tools* under the *More tools* menu in Chrome. The *Network* and *Console* tab can provide additional information about errors.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pritunl.com/kb/zero/general/debugging-zero.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
